- libbson 1.13.1 »
- API Reference »
- bson_t

# bson_init()

## Synopsis

    void
    bson_init (bson_t *b);

## Parameters

- `b`: A bson_t.

## Description

The bson_init() function shall initialize a bson_t that is placed on the stack. This is equivalent to initializing a bson_t to `BSON_INITIALIZER`.

### See Also:

bson_concat

bson_init_from_json

bson_init_static

bson_new

bson_new_from_buffer

bson_new_from_data

bson_new_from_json

bson_reinit

bson_reserve_buffer

bson_sized_new

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.